Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
perl undefined symbol SSLeay_version during upgrade
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
zje
n00b
n00b


Joined: 06 Sep 2012
Posts: 28

PostPosted: Mon Nov 20, 2017 3:50 am    Post subject: perl undefined symbol SSLeay_version during upgrade Reply with quote

I tried performing a world upload today, but could not successfully due to an error when updating the dev-perl/IO-Socket-SSL package.

Here is the output (the logs only contain the same info, in particular the undefined symbol error).
Code:

 * perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor INSTALLMAN3DIR=none DESTDIR=/var/tmp/portage/dev-perl/IO-Socket-SSL-2.48.0/image/
perl: symbol lookup error: /usr/lib64/perl5/vendor_perl/5.24.3/x86_64-linux/auto/Net/SSLeay/SSLeay.so: undefined symbol: SSLeay_version
 * ERROR: dev-perl/IO-Socket-SSL-2.48.0::gentoo failed (configure phase):
 *   Unable to build!
 *
 * Call stack:
 *     ebuild.sh, line 124:  Called src_configure
 *   environment, line 973:  Called perl-module_src_configure
 *   environment, line 527:  Called die
 * The specific snippet of code:
 *               perl Makefile.PL "$@" <<< "${pm_echovar}" || die "Unable to build!";


I ran perl-cleaner --all, I also tried rebuilding openssl, and no luck... Has anyone had a similar issue?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16910
Location: here

PostPosted: Mon Nov 20, 2017 7:06 am    Post subject: Reply with quote

What return command equery b /usr/lib64/perl5/vendor_perl/5.24.3/x86_64-linux/auto/Net/SSLeay/SSLeay.so?
You tried to rebuild manually dev-perl/Net-SSLeay?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zje
n00b
n00b


Joined: 06 Sep 2012
Posts: 28

PostPosted: Tue Nov 21, 2017 2:38 am    Post subject: Reply with quote

The results of the equery command are below:
Code:

# equery b /usr/lib64/perl5/vendor_perl/5.24.3/x86_64-linux/auto/Net/SSLeay/SSLeay.so
 * Searching for /usr/lib64/perl5/vendor_perl/5.24.3/x86_64-linux/auto/Net/SSLeay/SSLeay.so ...
dev-perl/Net-SSLeay-1.810.0 (/usr/lib64/perl5/vendor_perl/5.24.3/x86_64-linux/auto/Net/SSLeay/SSLeay.so)


so I remerged dev-perl/Net-SSLeay and the results of my "emerge -uDNU world" are the exact same as above: issues occur at dev-perl/IO-Socket-SSL

I'm trying a --skipfirst to see where that lands...

Thanks for the help!
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16910
Location: here

PostPosted: Tue Nov 21, 2017 7:12 am    Post subject: Reply with quote

What version of openssl you installed?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zje
n00b
n00b


Joined: 06 Sep 2012
Posts: 28

PostPosted: Wed Nov 22, 2017 3:51 am    Post subject: Reply with quote

I currently have openssl-1.0.2m installed. With that and a hint from IRC, however, I noticed that the perl issue was caused by pulling in openssl-1.1.0 after allowing autounmask-write to do its thing. I can now get the perl Net-SSLeay upgrade to happen successfully, but am having other issues with my update. I will start a new thread if I can't sort them out.

Thanks!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum